Bug 2005124 (CVE-2021-36160) - CVE-2021-36160 httpd: mod_proxy_uwsgi: out-of-bounds read via a crafted request uri-path
Summary: CVE-2021-36160 httpd: mod_proxy_uwsgi: out-of-bounds read via a crafted reque...
Keywords:
Status: NEW
Alias: CVE-2021-36160
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2007199 2007200 2007201 2009780 2005125 2007198 2009781
Blocks: 2005130
TreeView+ depends on / blocked
 
Reported: 2021-09-16 20:26 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-11-22 11:31 UTC (History)
52 users (show)

Fixed In Version: httpd 2.4.49
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds read in mod_proxy_uwsgi of httpd allows a remote unauthenticated attacker to crash the service through a crafted request. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-09-16 20:26:12 UTC
A carefully crafted request uri-path can cause mod_proxy_uwsgi to read above the allocated memory and crash (DoS). This issue affects Apache HTTP Server versions 2.4.30 to 2.4.48 (inclusive).

Reference:
http://httpd.apache.org/security/vulnerabilities_24.html

Comment 1 Guilherme de Almeida Suckevicz 2021-09-16 20:26:37 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 2005125]


Note You need to log in before you can comment on or make changes to this bug.